From 6e6148f701fdf252307a8b3d1f624535d737e495 Mon Sep 17 00:00:00 2001
From: Christoph Borchert <christoph.borchert@tu-dortmund.de>
Date: Mon, 10 Nov 2014 15:28:33 +0100
Subject: [PATCH] client.sh: exit on any error status

This prevents the client script from continuously invoking
the fail-client when it is not executable, e.g., in the case
of missing libraries.

Change-Id: I2746eaf1980507dbd7c95fb5a6a1cc018a33aa67
---
 scripts/client.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/client.sh b/scripts/client.sh
index ee502047..3bf0a404 100755
--- a/scripts/client.sh
+++ b/scripts/client.sh
@@ -51,7 +51,7 @@ do
 		#nice -n 19 ./bochs -q 2>&1 | tee log.$$.txt | fgrep Result
 		#nice -n 18 ./bochs -q 2>&1 | fgrep Result
 		nice -n 18 ./fail-client -q >/dev/null 2>&1
-		if [ $? -eq 1 ]
+		if [ $? -gt 0 ] # exit on any error
 		then
 			break
 		fi
-- 
GitLab